/********************************************************************************
  * @file    PT32x076_id.h
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/7/15
  * @brief   This file contains all the functions prototypes for the id firmware
  *          library
  * @attention
  *
  * ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *******************************************************************************/

#ifndef PT32x076_ID_H
#define PT32x076_ID_H

#ifdef __cplusplus
extern "C" {
#endif

#include "PT32x076.h"

/*! function declaration and definition*/
u32 ID_GetCustomerID(void);
u32 ID_GetUID(u8 UID_Number);
u32 ID_GetCID(void);

#ifdef __cplusplus
}
#endif

#endif /*__PT32x076_ID_H */
