/******************************************************************************
  * @Example PT32x076_LowPower
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/7/15
  * @brief   ͨʱ4ʱڵ͹ģʽ»MCU
  *          
  ******************************************************************************
  * @attention	Ϊ96001λֹͣλżУ
	*			ʹø̣
	*							¼轫H3Power Connectorġ3V3롰PER/3V3롰VDD1x2Pñժ
	*							2x8P3V3GNDñVDD3V3۲
  *
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *
  *****************************************************************************/
	
#include "PT32x076.h"

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<20; x++);
}

/**
* @brief TIM4ʽ
* @param 
* @retval 
*/
void TIM4_Mode_Config(void)
{
	TIM_TimeBaseInitTypeDef TimeBaseInitStruct;
	NVIC_InitTypeDef NVIC_InitStruct;

	/*ʹTIMER4NVIC*/
	NVIC_InitStruct.NVIC_IRQChannel = TIM4_IRQn;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0x03;
	NVIC_Init(&NVIC_InitStruct);
	
	/* CNTʱ = 38khz/(psc+1)*/
	TimeBaseInitStruct.TIM_Prescaler = 380-1;
	TimeBaseInitStruct.TIM_Direction = TIM_Direction_Down;
	TimeBaseInitStruct.TIM_AutoReloadValue = 1000-1;
	TimeBaseInitStruct.TIM_InternalClockSource = TIM_LIST5_InternalClockSource_LSI;
	
	TIM_TimeBaseInit(TIM4, &TimeBaseInitStruct);
	TIM_OCITConfig(TIM4, TIM_OCIT_ARI, ENABLE);
	TIM_Cmd(TIM4, ENABLE);
}

/**
* @brief TIM4ʧܺ
* @param 
* @retval 
*/
void Timer4_Disable(void)
{
	TIM_OCITConfig(TIM4, TIM_OCIT_ARI, DISABLE);
	NVIC_DisableIRQ(TIM4_IRQn);	
	TIM_Cmd(TIM4, DISABLE);
}
/**
* @brief TIM4Ѻ
* @param 
* @retval 
*/
void Tim4_Wake_Sleep(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;

	TIM4_Mode_Config();
	GPIO_AnalogRemapConfig(AFIOA, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOB, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOC, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOF, GPIO_Pin_All, DISABLE);
	
	GPIO_DigitalRemapConfig(AFIOA, GPIO_Pin_All&(~GPIO_Pin_13)&(~GPIO_Pin_14),AFIO_AF_None,DISABLE);	//SWDӿڲ
	GPIO_DigitalRemapConfig(AFIOB, GPIO_Pin_All,AFIO_AF_None,DISABLE);
	GPIO_DigitalRemapConfig(AFIOC, GPIO_Pin_All,AFIO_AF_None,DISABLE);
	GPIO_DigitalRemapConfig(AFIOF, GPIO_Pin_All,AFIO_AF_None,DISABLE);

	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_All;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_Down;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_In;
	GPIO_Init(GPIOA, &GPIO_InitStructure);
	GPIO_Init(GPIOB, &GPIO_InitStructure);
	GPIO_Init(GPIOC, &GPIO_InitStructure);
	GPIO_Init(GPIOF, &GPIO_InitStructure);
	
	PWR_EnterDeepSleepMode(PWR_DeepSleepEntry_WFI);   //˯ߣжϻ

	Timer4_Disable();
	Software_Delay();
}

int main (void)
{
	while(1)
	{
		Tim4_Wake_Sleep();
	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif
