/******************************************************************************
  * @file    PT32x076_it.c
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/7/15
  * @brief   This file provides all interrupt service routine.
  *          
  ******************************************************************************
  * @attention
  *
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣӻ̷𺦸
  *
  *****************************************************************************/
  
/* Includes ------------------------------------------------------------------------------------------------*/
#include "PT32x076_it.h"

/** @defgroup IT
  * @brief IT driver modules
  * @{
  */
  
/* Private typedef -----------------------------------------------------------------------------------------*/
/* Private define ------------------------------------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------------------------------------*/
/* Private functions ---------------------------------------------------------------------------------------*/

/**
* @brief NMIжϷ
* @param None
* @retval None
*/
void NMI_Handler(void)
{
}

/**
* @brief HardFaultжϷ
* @param None
* @retval None
*/
void HardFault_Handler(void)
{
  	while (1);
}

/**
* @brief SVCжϷ
* @param None
* @retval None
*/
void SVC_Handler(void)
{
}

/**
* @brief PendSVжϷ
* @param None
* @retval None
*/
void PendSV_Handler(void)
{
}

/**
* @brief SysTickжϷ
* @param None
* @retval None
*/
void SysTick_Handler(void)
{
}

/**
* @brief PVDжϷ
* @param None
* @retval None
*/
void PVD_Handler(void)
{
}

/**
* @brief CMP0жϷ
* @param None
* @retval None
*/
void CMP0_Handler(void)
{
}

/**
* @brief AESжϷ
* @param None
* @retval None
*/
void AES_Handler(void)
{
}

/**
* @brief IFMCжϷ
* @param None
* @retval None
*/
void IFMC_Handler(void)
{
}

/**
* @brief WWDGжϷ
* @param None
* @retval None
*/
void DMA_Handler(void)
{
}

/**
* @brief PAжϷ
* @param None
* @retval None
*/
void EXTIA_Handler(void)
{
	if(EXTI_GetITStatus(EXTIA,EXTI_IT_1) != RESET)
	{
		EXTI_ClearFlag(EXTIA,EXTI_FLAG_1);	//жϱ־λ;
	}	
}

/**
* @brief PBжϷ
* @param None
* @retval None
*/
void EXTIB_Handler(void)
{
}

/**
* @brief PCжϷ
* @param None
* @retval None
*/
void EXTIC_Handler(void)
{
}

/**
* @brief PDжϷ
* @param None
* @retval None
*/
void EXTIF_Handler(void)
{
}

/**
* @brief LPTIMжϷ
* @param None
* @retval None
*/
void LPTIM_Handler(void)
{
}

/**
* @brief UART2жϷ
* @param None
* @retval None
*/
void UART2_Handler(void)
{
}

/**
* @brief UART3жϷ
* @param None
* @retval None
*/
void UART3_Handler(void)
{
}

/**
* @brief ADCжϷ
* @param None
* @retval None
*/
void ADC_Handler(void)
{
}

/**
* @brief TIM1жϷ
* @param None
* @retval None
*/
void TIM1_Handler(void)
{
}

/**
* @brief TIM0жϷ
* @param None
* @retval None
*/
void TIM4_Handler(void)
{
	if(TIM_GetFlagStatus(TIM4,TIM_FLAG_ARF) != RESET)
	{
		TIM_ClearFlag(TIM4, TIM_FLAG_ARF);
	}		
}

/**
* @brief TIM4жϷ
* @param None
* @retval None
*/
void TIM3_Handler(void)
{
}

/**
* @brief TIM2жϷ
* @param None
* @retval None
*/
void TIM2_Handler(void)
{
}

/**
* @brief TIM5жϷ
* @param None
* @retval None
*/
void TIM5_Handler(void)
{
}

/**
* @brief ALUжϷ
* @param None
* @retval None
*/
void ALU_Handler(void)
{
}

/**
* @brief LPUART1жϷ
* @param None
* @retval None
*/
void LPUART1_Handler(void)
{
}

/**
* @brief LPUART0жϷ
* @param None
* @retval None
*/
void LPUART0_Handler(void)
{
}

/**
* @brief CMPжϷ
* @param None
* @retval None
*/
void CMP_Handler(void)
{
}

/**
* @brief TIM8жϷ
* @param None
* @retval None
*/
void TIM8_Handler(void)
{
}

/**
* @brief I2C0жϷ
* @param None
* @retval None
*/
void I2C0_Handler(void)
{
}

/**
* @brief I2C1жϷ
* @param None
* @retval None
*/
void I2C1_Handler(void)
{
}

/**
* @brief SPI0жϷ
* @param None
* @retval None
*/
void SPI0_Handler(void)
{
}

/**
* @brief SPI1жϷ
* @param None
* @retval None
*/
void SPI1_Handler(void)
{
}

/**
* @brief UART0жϷ
* @param None
* @retval None
*/
void UART0_Handler(void)
{
	
}

/**
* @brief UART0жϷ
* @param None
* @retval None
*/
void UART1_Handler(void)
{
}
 
/**
* @brief RTCжϷ
* @param None
* @retval None
*/
void RTC_Handler(void)
{
}

/**
* @brief TIMER6жϷ
* @param None
* @retval None
*/
void TIM6_Handler(void)
{
}

/**
* @brief TIMER7жϷ
* @param None
* @retval None
*/
void TIM7_Handler(void)
{
}

/**
  * @}
  */

