/******************************************************************************
  * @Example PT32x076_LowPower
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/7/15
  * @brief   ͨUSER˯ģʽ»MCU°MCU
  *          
  ******************************************************************************
  * @attention	Ϊ96001λֹͣλżУ
	*			ʹø̣
	*							¼轫H3Power-Connectorġ3V3롰PER/3V3롰VDD1x2Pñժ
	*							H19Link-Connector2x8P3V3GNDñVDD3V3۲
  *
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *
  *****************************************************************************/
	
#include "PT32x076.h"

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<50; x++);
}

/**
* @brief ⲿж
* @param 
* @retval 
*/
void Wake_Key_Init(void)
{
	NVIC_InitTypeDef NVIC_InitStruct;
	GPIO_InitTypeDef GPIO_InitStructure;					//һGPIO_InitTypeDef͵Ľṹ
	
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_1;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_In;	//ģʽΪ
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_Up;	//
	GPIO_Init(GPIOA, &GPIO_InitStructure);				//ÿ⺯ʼGPIO
	
	//GPIO˿жϴѡ
	EXTI_TriggerTypeConfig(EXTIA, EXTI_Pin_1, EXTI_Trigger_RisingFalling);
	EXTI_ITConfig(EXTIA, EXTI_IT_1, ENABLE);

	/*ʹGPIONVIC*/
	NVIC_InitStruct.NVIC_IRQChannel = EXTIA_IRQn;
	NVIC_InitStruct.NVIC_IRQChannelCmd = ENABLE;
	NVIC_InitStruct.NVIC_IRQChannelPriority = 0x03;
	NVIC_Init(&NVIC_InitStruct);
}

/**
* @brief 
* @param 
* @retval 
*/
void Key_Wake_Sleep(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;
	
	GPIO_AnalogRemapConfig(AFIOA, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOB, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOC, GPIO_Pin_All, DISABLE);
	GPIO_AnalogRemapConfig(AFIOF, GPIO_Pin_All, DISABLE);
	
	GPIO_DigitalRemapConfig(AFIOA, (GPIO_Pin_All&(~GPIO_Pin_13)&(~GPIO_Pin_14)),AFIO_AF_None,DISABLE);	//SWDӿڲ
	GPIO_DigitalRemapConfig(AFIOB, GPIO_Pin_All,AFIO_AF_None,DISABLE);
	GPIO_DigitalRemapConfig(AFIOC, GPIO_Pin_All,AFIO_AF_None,DISABLE);
	GPIO_DigitalRemapConfig(AFIOF, GPIO_Pin_All,AFIO_AF_None,DISABLE);

	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_All;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_Down;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_In;
	GPIO_Init(GPIOB, &GPIO_InitStructure);
	GPIO_Init(GPIOC, &GPIO_InitStructure);
	GPIO_Init(GPIOF, &GPIO_InitStructure);
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_All&(~GPIO_Pin_1);
	GPIO_Init(GPIOA, &GPIO_InitStructure);
	
	PWR_EnterDeepSleepMode(PWR_DeepSleepEntry_WFI);	//˯ߣжϻ
	Software_Delay();	
}

int main (void)
{
	Wake_Key_Init();
	Software_Delay();	//ϵӦʱһʱ䣬ܹرRC 32Khz
	RCC_ClockSourceConfig(RCC_ClockSource_LSI,DISABLE);//رĬʹܵڲʱ38.4K Խʡ
	while(1)
	{
		Key_Wake_Sleep();
	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif
