/******************************************************************************
  * @Example PT32x076_LowPower
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/7/15
  * @brief   ͨ͵ѹⴥPVDжϣѹСõѹֵLED
  *          
  ******************************************************************************
  * @attention	Ϊ96001λֹͣλżУ
  *
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *
  *****************************************************************************/
	
#include "PT32x076.h"

extern u8 PVD_IntFlag;
/**
* @brief LEDGPIO
* @param 
* @retval 
*/
void LED_Driver(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;	//һGPIO_InitTypeDef͵Ľṹ
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_12;	//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;		//ģʽΪͨ
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_Up;	//
	GPIO_Init(GPIOC, &GPIO_InitStructure);	//ÿ⺯ʼGPIO
	GPIO_SetBits(GPIOC, GPIO_Pin_12);			//ÿ⺯GPIO״̬
}

/**
* @brief PVDж
* @param 
* @retval 
*/
void PVD_Int_Driver(void)
{
	RCC_ClearResetFlag(RCC_FLAG_POR);
	RCC_ClearResetFlag(RCC_FLAG_PVD);
	RCC_ResetConfig(RCC_ResetEnable_PVDLowVoltage,DISABLE);
	
	NVIC_EnableIRQ(PVD_IRQn);
	PWR_PVDLevelConfig(PWR_PVDLevel_6);//PVDֵΪ3.5V
	PWR_PVDCmd(ENABLE);	//PVDʹ
}

u8 PVD_IntFlag=0;
int main (void)
{
	LED_Driver();
	PVD_Int_Driver();
	while(1)
	{
		if(PVD_IntFlag)
		{
			GPIO_ResetBits(GPIOC, GPIO_Pin_12);
		}
		else
		{
			GPIO_SetBits(GPIOC, GPIO_Pin_12);
		}
	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif
