/******************************************************************************
  * @Example PT32x076_BEEP
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/7/15
  * @brief   ͨBEEPط
  *          
  ******************************************************************************
  * @attention	Ϊ96001λֹͣλżУ
  *
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *
  *****************************************************************************/
	
#include "PT32x076.h"

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<200; x++);
}

/**
* @brief BEEP
* @param 
* @retval 
*/
void BEEP_GPIO_Config(void)
{
	GPIO_DigitalRemapConfig(AFIOB, GPIO_Pin_2, AFIO_AF_1, ENABLE);	//BEEPֹܸ
}

/**
* @brief BEEPʽ
* @param 
* @retval 
*/
void BEEP_Mode_Config(void)
{
	Beep_InitTypeDef Beep_InitStruct;
	/*ʼBEEP*/
	Beep_InitStruct.BEEP_PrescalerValue = 10;							
	Beep_InitStruct.BEEP_ClockSelection = BEEP_CLOCK_LSI;
	Beep_Init(&Beep_InitStruct);
}

/**
* @brief BEEP
* @param 
* @retval 
*/
void BEEP_Driver(void)
{
	BEEP_GPIO_Config();
	BEEP_Mode_Config();
}

int main (void)
{
	BEEP_Driver();
	/*ʹBEEP*/
	Beep_Cmd(ENABLE);
	Software_Delay();
	/*ʧBEEP*/
	Beep_Cmd(DISABLE);
	while(1)
	{
	
	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif
