/******************************************************************************
  * @Example PT32x076_
  * @author  ӦÿŶ
  * @version V1.0.0
  * @date    2023/7/15
  * @brief   ͨSytickʱÿ1˸LED
  *          
  ******************************************************************************
  * @attention	Ϊ96001λֹͣλżУ
  *
	* ǰĹָ̼, ĿͻṩйƷıϢ,Խʡǵʱ䡣
  * ̼/ͻʹаıϢκ, * Pai-IC κֱӣ ӻ̷𺦸
  *
  * (C) Ȩ Pai-IC Microelectronics
  *
  *****************************************************************************/
	
#include "PT32x076.h"

#define		LED_PORT		GPIOA
#define		LED_PIN		  GPIO_Pin_10

/**
* @brief ʱ
* @param 
* @retval 
*/
void Software_Delay(void)
{
	u8 i, j,x;
	for(i=0; i<200; i++)
		for(j=0; j<200; j++)
			for(x=0; x<20; x++);
}

/**
* @brief LED
* @param 
* @retval 
*/
void LED_Driver(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;				//һGPIO_InitTypeDef͵Ľṹ
	GPIO_InitStructure.GPIO_Pin = LED_PIN;			//ѡҪƵGPIO
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OutPP;	//ģʽΪͨ
	GPIO_InitStructure.GPIO_Pull = GPIO_Pull_Up;	//ģʽ
	GPIO_Init(LED_PORT, &GPIO_InitStructure);				//ÿ⺯ʼGPIO
		
  GPIO_SetBits(LED_PORT, LED_PIN);					//GPIO״̬
}

/**
* @brief SysTick
* @param 
* @retval 
*/
void Systick_Driver(void)
{
	u32 HCLK=0;
	HCLK = RCC_GetClockFreq(RCC_HCLK);	//HCLKʱ
	if (SysTick_Config(HCLK / 100000))			//10usжһ
	{ 
		while (1);
	}
	SysTick->CTRL &=~ SysTick_CTRL_ENABLE_Msk;//رSYSTIC  
}

/**
* @brief ȡĳSysTickжϺ SysTick_Handler()
* @param 
* @retval 
*/
u32 TimingDelay;
void TimingDelay_Decrement(void)
{
	if (TimingDelay != 0x00)
	{ 
		TimingDelay--;
	}
}

/**
* @brief ú뼶ʱʱ(1msΪ)
* @param 
* @retval 
*/
void Delay_ms(u32 nTime)
{ 
	TimingDelay = nTime*100;	
	SysTick->CTRL |= SysTick_CTRL_ENABLE_Msk;//ʹSYSTIC  
	while(TimingDelay != 0);
}

int main (void)
{
	LED_Driver();
	Systick_Driver();
  while(1)
	{
		GPIO_SetBits(LED_PORT, LED_PIN);
		Delay_ms(1000);
		GPIO_ResetBits(LED_PORT, LED_PIN);
		Delay_ms(1000);
	}
}

#ifdef  USE_FULL_ASSERT
/**
  * @brief  Reports the name of the source file and the source line number
  *         where the assert_param error has occurred.
  * @param  file: pointer to the source file name
  * @param  line: assert_param error line source number
  * @retval None
  */
void assert_failed(u8* file, u32 line)
{
	/* User can add his own implementation to report the file name and line number,
	   ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */
	printf("Wrong parameters value: file %s on line %d\r\n", file, line);
	/* Infinite loop */
	while (1)
	{
	}
}
#endif
